Subject: bug#74833: 31.0.50; Copy to OS clipboard doesn't work in macOS Terminal.app with xterm-mouse-mode enabled

From: Gerd Möllmann <[email-masked]>
Date: Mon, 16 Dec 2024 18:30:30 +0100

Filipp Gunbin <[email-masked]> writes:

>> Terminal.app's Command-C can only copy a selection that the app knows
>> about.
>
> Not really - with xterm-mouse-mode disabled (and with "Allow mouse
> reporting" ticked in Terminal.app menu), mouse selection in Terminal.app
> is not related to Emacs selection, and copy / paste works.

What I meant with my sentence is that the selection Emacs shows and the
selection Terminal.app shows and uses are not related to each other.
Maybe that's a cause of confusion, I don't know.

>
>> If the mouse is used by an app like Emacs (Terminal.app's
>> Settings/Report ....)) the user tells Terminal to let the app use the mouse.
>> I find it little surprising that when Terminal.app does that, it doesn't
>> use the mouse itself to make a selection it could then copy.
>
> It does, although that's Terminal.app's "own" selection, not Emacs's.
>
>> Do Command-A Command-C and see what happens.
>>
>> Or use Command-R to toggle the mouse reporting setting on the fly.
>>
>> Or use xclip in Emacs.
>>
>> Please don't disable xterm-mouse for this.
>
> Again, it turns out that the new default leads to copy not working at
> all, while with previous default you could make selection in
> Terminal.app (it's not reflected in Emacs) and then copy.  Paste works
> in both cases.  It still looks to me that the old default is better.  If
> you enable xterm-mouse-mode, then perhaps you should also use xclip, not
> just the mode itself.

Mouse support by default is an important feature, IMO. It makes the menu
bar usable, or in a future Emacs containing tty child frames tooltips
can be shown. Not to mention setting point and what else.

What's the positive effect of turning mouse support off by default?
Command-C works for users who haven't set up terminal Emacs well enough
that they could use M-w, plus in addition don't know Terminal.app well
enough to know about Command-R or Fn + mouse.

I think it's best if we simply agree to disagree.